Bug 1635475 (CVE-2018-18021)

Summary: CVE-2018-18021 kernel: Privilege escalation on arm64 via KVM hypervisor
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abhgupta, acaringi, airlied, bhsharma, bhu, blc, brdeoliv, bskeggs, dbaker, dhoward, drjones, dvlasenk, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jokerman, jonathan, josef, jross, jstancek, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, matt, mchehab, mcressma, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, steved, sthangav, trankin, williams, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was discovered in the Linux kernel that allows an attacker to escalate privileges with using a 64-bit ARM architecture. A local attacker with permission to create KVM-based virtual machines can both panic the hypervisor by triggering an illegal exception return (resulting in a DoS) and to redirect execution elsewhere within the hypervisor with full register control, instead of causing a return to the guest.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:39:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1635476, 1635477, 1635478, 1635721, 1637828, 1637829    
Bug Blocks: 1635479    

Description Sam Fowler 2018-10-03 03:55:57 UTC
The Linux kernel has vulnerability on 64-bit ARM architectures that allows an attacker to escalate privileges. A local attacker with permission to create KVM-based virtual machines can both panic the hypervisor by triggering an illegal exception return (resulting in a DoS) and to redirect execution elsewhere within the hypervisor with full register control, instead of causing a return to the guest.


Reference:

https://www.openwall.com/lists/oss-security/2018/10/02/2


Proposed Upstream Patches:

https://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux.git/commit/?id=d26c25a9
https://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux.git/commit/?id=2a3f9345

Comment 1 Sam Fowler 2018-10-03 03:56:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1635476]

Comment 3 Fedora Update System 2018-10-09 03:08:58 UTC
kernel-4.18.12-200.fc28, kernel-headers-4.18.12-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-10-10 21:54:21 UTC
kernel-4.18.12-100.fc27, kernel-headers-4.18.12-100.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2018-11-26 23:14:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3656 https://access.redhat.com/errata/RHSA-2018:3656